# This is a verification script for the esp8266_smart_socket generated code.
# Run this code in order to create a verification model with a CFunction block inside that behaves like the original model.

# CFunction variables
output_code = """
esp8266_smart_socket_step();
"""
start_code = "esp8266_smart_socket_init();"
terminate_code = "esp8266_smart_socket_term();"

# Close
try engee.close("esp8266_smart_socket_verification";force=true) catch end
# Create
engee.create("esp8266_smart_socket_verification")
# Add Blocks
engee.add_block("/Basic/User-Defined Functions/C Function", "esp8266_smart_socket_verification/")
# Edit block parameters
engee.set_param!("esp8266_smart_socket_verification/C Function", "OutputCode" => output_code, "StartCode" => start_code, "TerminateCode" => terminate_code)
engee.set_param!("esp8266_smart_socket_verification/C Function", "Inputs" => 0)
engee.set_param!("esp8266_smart_socket_verification/C Function", "Outputs" => 0)
engee.set_param!("esp8266_smart_socket_verification/C Function", "SampleTime" => "0.0002")
engee.set_param!("esp8266_smart_socket_verification/C Function", "SourceFiles" => "/user/new/esp8266_smart_socket/esp8266_smart_socket_code/esp8266_smart_socket.c")
engee.set_param!("esp8266_smart_socket_verification/C Function", "IncludeDirectories" => "/user/new/esp8266_smart_socket/esp8266_smart_socket_code/")
engee.set_param!("esp8266_smart_socket_verification/C Function", "Headers" => "stdint.h math.h esp8266_smart_socket.h")
# Edit model parameters
engee.set_param!("esp8266_smart_socket_verification", "FixedStep" => 0.0002)
engee.set_param!("esp8266_smart_socket_verification", "StartTime" => 0.0)
engee.set_param!("esp8266_smart_socket_verification", "StopTime" => 10)
engee.set_param!("esp8266_smart_socket_verification", "EnableMultiTasking" => false)
# Add lines
# Save
engee.save("esp8266_smart_socket_verification.engee"; force=true)
